# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Reservation_station		= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Queue_Control
include 			$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Reservation_station_LIBRARY	= 	-lReservation_station	\
					$(Queue_Control_LIBRARY)\
					$(Behavioural_LIBRARY)	

Reservation_station_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/lib	\
					$(Queue_Control_DIR_LIBRARY)\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Reservation_station_library		: 
				@\
				$(MAKE) Queue_Control_library; \
				$(MAKE) Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station --makefile=Makefile;
	
Reservation_station_library_clean	: 
				@\
				$(MAKE) Queue_Control_library_clean; \
				$(MAKE) Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station --makefile=Makefile clean;
